For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
              • STREAMTail Worker Logs
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementInfrastructure HostingLogs

Tail Worker Logs

Pre-release
GET
https://api.bigcommerce.com/stores/:store_hash/v3/infrastructure/logs/:project_uuid/tail
GET
/stores/:store_hash/v3/infrastructure/logs/:project_uuid/tail
$curl https://api.bigcommerce.com/stores/store_hash/v3/infrastructure/logs/project_uuid/tail \
> -H "X-Auth-Token: <apiKey>"
Opens a server-sent events (SSE) stream that delivers real-time worker logs for a project. The stream includes log messages, request data, and exception information. A keep-alive is sent every 15 seconds. The stream times out after 60 seconds. Each event is a JSON object delivered as an SSE `data` field. > **Note**: This endpoint is served from the streaming API server, not the main API gateway.
Was this page helpful?
Previous

Get Deployment Event Stream

Next

Inventory

Built with

Opens a server-sent events (SSE) stream that delivers real-time worker logs for a project. The stream includes log messages, request data, and exception information. A keep-alive is sent every 15 seconds. The stream times out after 60 seconds.

Each event is a JSON object delivered as an SSE data field.

Note: This endpoint is served from the streaming API server, not the main API gateway.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Infrastructure Deploymentsread-onlystore_infrastructure_deployments_read_only
Infrastructure Deploymentscreate previewstore_infrastructure_deployments_create_preview
Infrastructure Deploymentsmanagestore_infrastructure_deployments_manage
Infrastructure Projectsread-onlystore_infrastructure_projects_read_only
Infrastructure Projectsmanagestore_infrastructure_projects_manage
Infrastructure Logsread-onlystore_infrastructure_logs_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

project_uuidstringRequiredformat: "uuid"
The UUID of the project to tail logs for.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Response

A stream of server-sent events with real-time worker log entries. The data attribute is stringified JSON.

Errors

400
Bad Request Error